Missing download link when building osimis-webviewer-plugin 1.1.1

Hi,

the osimis support send me to this user group. Not sure if this is the right place to post plugin errors :-o
However, the build of osimis-webviewer-plugin 1.1.1 fails with a missing download for

– PRODUCT_VERSION_SHORT_STRING: 1.1.1
– JS_FRONTEND_VERSION: 08acf7b

http://orthanc.osimis.io/public/osimisWebViewer/08acf7b.zip

Is there a workaround for this, or do I need to wait until this file becomes available?

Thanks in advance,
Thomas

Hi Thomas,

There was indeed an issue in this version that can not be built anymore because some bower registry have moved.
Could you give it a try with version 1.1.2 now ?

Br

Alain

Hi Alain,

Now it fails when trying to download http://orthanc.osimis.io/public/osimisWebViewer/e036960.zip

– PRODUCT_VERSION_SHORT_STRING: 1.1.2
– JS_FRONTEND_VERSION: e036960
Downloading http://orthanc.osimis.io/public/osimisWebViewer/e036960.zip

–tf

The commit Id might change according to your version of git or whatever: e036960e or e036960…

try fixing the JS_FRONTEND_VERSION to e036960e

This is an excerpt of our build log.

[docker] -- PRODUCT_VERSION_BRANCH:         
[docker] -- PRODUCT_VERSION_SHORT_STRING:   1.1.2
[docker] -- JS_FRONTEND_VERSION:            e036960e
[docker] Downloading [http://orthanc.osimis.io/public/osimisWebViewer/e036960e.zip](http://orthanc.osimis.io/public/osimisWebViewer/e036960e.zip)

BTW, for my information, why do you recompile it yourself and not use pre-built binaries ? If you recompile it yourself, it’s probably best to build the front-end by yourself too so you don’t depend on us providing these zip files of the built front-end.

ic, I’ll give newer git version a try.

I build them because, orthanc and all need plugins are distributed as RPMs to our appliances (centos 6 + 7).
On them exists no docker environment, so using docker image is not an option at the moment.

Building the frontend increases the complexity of the build, so I’d like to get around it :slight_smile: